play.utils

## Class ANSIConsoleAppender

- java.lang.Object
- - org.apache.log4j.AppenderSkeleton
  - - org.apache.log4j.WriterAppender
    - - org.apache.log4j.ConsoleAppender
      - - play.utils.ANSIConsoleAppender

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

    public class ANSIConsoleAppender
    extends org.apache.log4j.ConsoleAppender

Colour-coded console appender for Log4J.

### Field Summary

### Fields inherited from class org.apache.log4j.ConsoleAppender

`SYSTEM_ERR, SYSTEM_OUT, target`

### Fields inherited from class org.apache.log4j.WriterAppender

`encoding, immediateFlush, qw`

### Fields inherited from class org.apache.log4j.AppenderSkeleton

`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

### Constructor Summary

Constructors
Constructor and Description
`ANSIConsoleAppender()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `subAppend(org.apache.log4j.spi.LoggingEvent event)` Wraps the ANSI control characters around the output from the super-class Appender.

### Methods inherited from class org.apache.log4j.ConsoleAppender

`activateOptions, closeWriter, getFollow, getTarget, setFollow, setTarget`

### Methods inherited from class org.apache.log4j.WriterAppender

`append, checkEntryConditions, close, createWriter, getEncoding, getImmediateFlush, requiresLayout, reset, setEncoding, setErrorHandler, setImmediateFlush, setWriter, shouldFlush, writeFooter, writeHeader`

### Methods inherited from class org.apache.log4j.AppenderSkeleton

`addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setLayout, setName, setThreshold`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ANSIConsoleAppender

    public ANSIConsoleAppender()

### Method Detail

#### subAppend

    protected void subAppend(org.apache.log4j.spi.LoggingEvent event)

Wraps the ANSI control characters around the output from the super-class Appender.

Overrides:
  `subAppend` in class `org.apache.log4j.WriterAppender`